import setuptools

with open("README.md") as f:
    readme = f.read()

with open("requirements.txt") as f:
    install_requires = [line.strip() for line in f if line.strip()]

setuptools.setup(
    name="sbad_fnn",
    version="0.1.0",
    packages=setuptools.find_packages(),
    install_requires=install_requires,
    description="Sparsity based anomaly detection framework: anomalous segment detection in "
    "univariate time series.",
    long_description=readme,
    author="Fred Maurice NGOLE MBOULA",
    author_email="fred-maurice.ngole-mboula@cea.fr",
    url='https://www.confiance.ai',
)
